Module: selenium-webdriver/firefox
View Source

# class Options

Configuration options for the FirefoxDriver.

## Instance Methods

### setBinary(binary)code »

Sets the binary to use. The binary may be specified as the path to a Firefox executable, or as a `Binary` object.

Parameters

binary`(string|Binary)`

  The binary to use.

Returns

`Options`

  A self reference.

### setLoggingPreferences(prefs)code »

Sets the logging preferences for the new session.

Parameters

prefs`webdriver.logging.Preferences`

  The logging preferences.

Returns

`Options`

  A self reference.

### setProfile(profile)code »

Sets the profile to use. The profile may be specified as a `Profile` object or as the path to an existing Firefox profile to use as a template.

Parameters

profile`(string|Profile)`

  The profile to use.

Returns

`Options`

  A self reference.

### setProxy(proxy)code »

Sets the proxy to use.

Parameters

proxy`selenium-webdriver.ProxyConfig`

  The proxy configuration to use.

Returns

`Options`

  A self reference.

### toCapabilities(opt_remote)code »

Converts these options to a `webdriver.Capabilities` instance.

Parameters

opt_remote`?`

Returns

`webdriver.Capabilities`

  A new capabilities object.